## rng-tools-debian 2-unofficial-mt.14

=== debian/changelog ===
rng-tools-debian (2-unofficial-mt.14-3) unstable; urgency=high

  * Select the current RNG declaratively instead of on config parse
  * Slightly update the TODO file
  * Update package description disambiguating some from rng-tools5

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 20 Jan 2019 16:38:44 +0100

rng-tools-debian (2-unofficial-mt.14-2) unstable; urgency=high

  [ Christian Kastner ]
  * Use logcheck-conform filtering rules

  [ Thorsten Glaser ]
  * Ship the Debian version of rng-tools as rng-tools-debian since
    Debian now ships the *buntu version in rng-tools (Closes: #916147)
    and maintain it (sponsored by ⮡ tarent)
  * Source /lib/lsb/init-functions in the init script
  * Add missing Pre-Depends
  * Implement lintian-provided spelling fixes
  * Properly remove/exclude autotools-generated files
  * Add UMEGAYA metadata
  * Modernise packaging (dh7, autoreconf, …), init script, postinst
  * Policy 4.3.0.1: R³=no
  * Correct some format string and other compiler warnings
  * Depend on lsb-base (for the init script)
  * Add lintian overrides with reasons
  * Document use of TPM RNG (from #825872)
  * Add example of RNG selection to /etc/default/rng-tools-debian

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 06 Jan 2019 16:42:43 +0100

rng-tools (2-unofficial-mt.14-1) unstable; urgency=low

  * New upstream version:
    + Work around VIA Nano xstore bug (closes: #609289)
    + Add support for Linux 3.0 (closes: #630771)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 18 Jun 2011 00:12:54 -0300

rng-tools (2-unofficial-mt.13-3) unstable; urgency=low

  * Re-upload to fix problem caused by a bad i386 chroot on the -2 build

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Thu, 13 May 2010 23:24:00 -0300

rng-tools (2-unofficial-mt.13-2) unstable; urgency=low

  * Use DEB_BUILD_ARCH to detect if we should force VIA PadLock support
    (closes: #580843)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Thu, 13 May 2010 22:33:25 -0300

rng-tools (2-unofficial-mt.13-1) unstable; urgency=low

  * New upstream source:
    + Enable large file support (closes: #506639)
    + Fix COPYING file to contain the correct license (GPL v2 text)
    + Enable VIA PadLock support on x86_64 (untested)
  * debian/copyright,debian/rules,debian/rng-tools.postinst: update
    copyright notices and fix license blurb were wrong (it is GPL2+)
  * Debian build-system updates:
    + Set debian/source/format to '3.0 (quilt)'
    + debian/control: build-depend on autoconf, automake and drop
      autotools-dev since automake will take care of it and we do
      not use them directly anymore
    + debian/rules: remove all autogenerated files in clean target,
      and call upstream's autogen.sh to regenerate build system
    + debian/rules: use dh_prep instead of dh_clean -k (lintian)
    + debian/rules: use dh_lintian
  * debian/rules: honour CFLAGS, really set build arch/target
      and really enable viapadlock on i386
  * debian/control: rng-tools (binary pkg): add misc:Depends (lintian)
  * debian/control: rng-tools (binary pkg): swap udev and makedev in
    dependency header (closes: #546880)
  * debian/rng-tools.postinst: call MAKEDEV only when available
    (closes: #504762)
  * debian/control: add version-control related fields
  * Remove obsolete /etc/modprobe.d/rng-tools (closes: #518240)
  * debian/control: bump standards-version to 3.8.4.0 (no changes)
  * debian/rng-tools.lintian-overrides: ignore complains about the path
    in /sbin/MAKEDEV calls in postinst

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Wed, 05 May 2010 22:50:32 -0300

rng-tools (2-unofficial-mt.12-1) unstable; urgency=low

  * New upstream source:
    + Some README/NEWS cleanup
    + No code changes
  * Upload to unstable (closes: #486688)
  * Remove debian/README.Debian, new upstream README has most of the text
    that was there
  * Sync with Debian sid branch 2-unofficial-mt.10-3
  * Packaging cleanup:
    + Remove old debian/rng-tools.modules file, deprecated since forever...
    + Bump standards-version to 3.8.0.0, no changes needed
    + Fix lintian warning: debian-rules-ignores-make-clean-error using the
      suggested -f Makefile test
    + Switch to debhelper V7 mode
    + Use standard debhelper initscripts, lets us get rid of our custom
      postrm and prerm.  Ignore failures to start/stop rng-tools in the
      maintainer scripts, however, otherwise we become a pest if /dev/hwrng
      is missing
    + linda is gone, drop override handling for it in debian/rules
    + install upstream README

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Thu, 19 Jun 2008 12:54:05 -0300

rng-tools (2-unofficial-mt.10-3) unstable; urgency=low

  * Add LSB initscript header information, thanks to Petter Reinholdtsen
    <pere@hungry.com> for the patch (closes: #466917)
  * Fix --trng instead of --hrng in manpage and defaults file
    (closes: #388748)
  * Remove debian/watch file.  Since I am upstream for this heavily
    modified version, the file is useless anyway (closes: #450224)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Thu, 21 Feb 2008 18:46:30 -0300

rng-tools (2-unofficial-mt.10-2) unstable; urgency=low

  * Fix typo in initscript which caused HRNGDEVICE definitions in
    /etc/default/rng-tools to be ignored, thanks to Dariush Pietrzak
    <eyck.debian@ghost.anime.pl> for noticing this (closes: #354186)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Fri, 24 Feb 2006 09:49:44 -0300

rng-tools (2-unofficial-mt.11-1) experimental; urgency=low

  * Sync with Debian sarge branch 2-unofficial-mt.10-1

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Thu, 12 May 2005 10:20:23 -0300

rng-tools (2-unofficial-mt.10-1) unstable; urgency=high

  * "Last changes for Sarge (I hope)"
  * The following changes warrant an upstream version bump:
  + Backport selected changes from rng-tools--hmh-devo--3.0--patch-80:
    + Upgrade udev and makedev versioned depends to require

