## rng-tools-debian 2.1

=== debian/changelog ===
rng-tools-debian (2.1) unstable; urgency=low

  * Convert to native package
  * Fix possible strncpy buffer overflow
  * Modernise packaging (taken from MagicPoint), bump Policy
  * Work around autotools/libtool causing a binutils ar(1) warning
  * Architecture: linux-any (it won’t work on Hurd or kFreeBSD)

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 16 Aug 2019 18:05:08 +0200
