=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Thorsten Glaser <tg@mirbsd.de>
 Uploaders: Henrique de Moraes Holschuh <hmh@debian.org>
-Build-Depends: debhelper (>= 12~)
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 12)
+Standards-Version: 4.4.0
 Rules-Requires-Root: no
 Vcs-Browser: https://evolvis.org/plugins/scmgit/cgi-bin/gitweb.cgi?p=alioth/rng-tools.git;a=shortlog;h=refs/heads/master
 Vcs-Git: https://evolvis.org/anonscm/git/alioth/rng-tools.git -b master
 
 Package: rng-tools-debian
-Architecture: any
+Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}, lsb-base,
  udev (>= 0.053) | makedev (>= 2.3.1-77)
