=== debian/rules ===
#!/usr/bin/make -f

ifeq (,$(filter terse,${DEB_BUILD_OPTIONS}))
export DH_VERBOSE=1
export V=1
export VERBOSE=1
endif

LC_ALL:=C.UTF-8
export LC_ALL

shellescape='$(subst ','\'',$(1))'
shellexport=$(1)=$(call shellescape,${$(1)})

DEB_HOST_ARCH?=$(shell dpkg-architecture -qDEB_HOST_ARCH)

OUR_CPPFLAGS:=
OUR_CFLAGS:=
OUR_LDFLAGS:=	-Wl,--as-needed

ifneq (,$(filter debug,${DEB_BUILD_OPTIONS}))
OUR_CFLAGS+=	-Og -g3
endif

OUR_CFLAGS+=	-Wall

dpkgbuildflagsmkescape=$(subst \,\\\,$(1))
export DEB_BUILD_MAINT_OPTIONS:=hardening=+all
export DEB_CPPFLAGS_MAINT_APPEND:=$(call dpkgbuildflagsmkescape,${OUR_CPPFLAGS})
export DEB_CFLAGS_MAINT_APPEND:=$(call dpkgbuildflagsmkescape,${OUR_CFLAGS})
export DEB_LDFLAGS_MAINT_APPEND:=$(call dpkgbuildflagsmkescape,${OUR_LDFLAGS})
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/buildtools.mk

# detect i386 and force-enable VIA PadLock support
ifneq (,$(findstring i386,${DEB_HOST_ARCH}))
CONFIGURE_ARGS+=	--enable-viapadlock
endif

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- ${CONFIGURE_ARGS}
	# quieten binutils vs. autotools/libtool conflict of interest
	perl -pi -e 's/^ARFLAGS\s*=.*$$/ARFLAGS=rc/' Makefile

override_dh_installinit:
	dh_installinit --error-handler=true
