## rng-tools-debian 2.3

=== debian/changelog ===
rng-tools-debian (2.3) unstable; urgency=medium

  * Fix longstanding bug in the init script, inherited from
    rng-tools 1.0-1 (!) that caused autodetecting the device
    if not set in the defaults config, contratry to the
    documentation, not work…

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 13 Nov 2020 10:51:45 +0100

rng-tools-debian (2.2) unstable; urgency=medium

  [ Ron ]
  * Fix the broken FIPS 140-2 runs test (Closes: #776134)

  [ Nicholas D Steeves ]
  * Mention tpm-rng in the README (Closes: #825872) (Closes: #542599)

  [ Thorsten Glaser ]
  * Fix installation of NEWS{.Debian,}
  * rngtest: better linewrap of startup blurb
  * init script: improve logic determining device to use:
    - when autodetecting, test-read from the device before considering
      it; note in syslog if that fails (manually set HRNGDEVICE will
      be used as-is if the character device exists)
    - syslog if no device was found but don’t exit with errorlevel ≠ 0
      any more
    - when (re‑)starting the service during package installation or
      upgrade, output informative message if no usable device was found
  * Run HRNGSELECT before checking the devices
  * Update documentation and package descriptions
  * Add option controlling periodical statistics syslog (Closes: #444326)
  * Modernise packaging (dh 13, Policy 4.5.0, LDFLAGS, lintian, etc.)
  * Prepare rng-tools takeover
  * Ask users in multiple places that any modules should be loaded early

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 11 Nov 2020 02:10:22 +0100
