=== debian/control ===
Source: rng-tools-debian
Section: utils
Priority: optional
Maintainer: Thorsten Glaser <tg@mirbsd.de>
Uploaders: Henrique de Moraes Holschuh <hmh@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Browser: https://evolvis.org/plugins/scmgit/cgi-bin/gitweb.cgi?p=alioth/rng-tools.git;a=shortlog;h=refs/heads/master
Vcs-Git: https://evolvis.org/anonscm/git/alioth/rng-tools.git -b master

Package: rng-tools-debian
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}, lsb-base,
 udev (>= 0.053) | makedev (>= 2.3.1-77)
Provides: intel-rng-tools, rng-tools (= ${binary:Version})
Replaces: intel-rng-tools, rng-tools
Conflicts: intel-rng-tools
Breaks: rng-tools (<< 5migrate), rng-tools (>= 5migratf)
Description: daemon to use a Hardware RNG (classic version)
 The rngd daemon acts as a bridge between a Hardware RNG (random
 number generator), such as the ones in some Intel/AMD/VIA chipsets,
 and the kernel’s PRNG (pseudo-random number generator).
 .
 It tests the data received from the HWRNG using the FIPS 140-2 (2002-10-10)
 tests to verify that it is indeed random then feeds the random data to the
 kernel entropy pool.
 .
 This increases the bandwidth of the /dev/random device, from a source
 that does not depend on outside activity. It may also improve the
 quality (entropy) of the randomness of /dev/random.
 .
 An HWRNG kernel module such as hw_random, or some other source of true
 entropy that is accessible as a device or fifo, is required to use this
 package. Securely tunneling entropy over the network and feeding it to
 rngd is also possible.
 .
 This is an unofficial version of rng-tools (as classically shipped by
 Debian up to and including release 10 “buster”), version 2, extensively
 modified to add multithreading and a lot of new functionality. However,
 most users of newer or high-bandwidth HWRNGs might wish to install the
 latest version of upstream rng-tools (packaged as rng-tools5) instead;
 that package offers more performant support for those, even if it lacks
 the new functionality from this version.
