=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,8 @@
 
 LC_ALL:=C.UTF-8
 export LC_ALL
+TZ:=UTC
+export TZ
 
 shellescape='$(subst ','\'',$(1))'
 shellexport=$(1)=$(call shellescape,${$(1)})
@@ -16,13 +18,16 @@
 
 OUR_CPPFLAGS:=
 OUR_CFLAGS:=
-OUR_LDFLAGS:=	-Wl,--as-needed
+OUR_LDFLAGS:=
 
 ifneq (,$(filter debug,${DEB_BUILD_OPTIONS}))
 OUR_CFLAGS+=	-Og -g3
 endif
 
 OUR_CFLAGS+=	-Wall
+
+# only needed when backporting to buster and older
+#OUR_LDFLAGS+=	-Wl,--as-needed
 
 dpkgbuildflagsmkescape=$(subst \,\\\,$(1))
 export DEB_BUILD_MAINT_OPTIONS:=hardening=+all
@@ -33,7 +38,7 @@
 include /usr/share/dpkg/buildtools.mk
 
 # detect i386 and force-enable VIA PadLock support
-ifneq (,$(findstring i386,${DEB_HOST_ARCH}))
+ifeq (i386,$(strip ${DEB_HOST_ARCH}))
 CONFIGURE_ARGS+=	--enable-viapadlock
 endif
