## rng-tools-debian 2.4

=== debian/changelog ===
rng-tools-debian (2.4) unstable; urgency=low

  * Apply bookworm release note §5.1.8 script to logcheck rules;
    untested, because I use inetutils-syslogd, not rsyslog nor
    systemd (Closes: #1055149); thanks Hendrik Jaeger for noticing
  * Modernise packaging a bit
  * Review d/copyright and in-program copyrights

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 02 Nov 2023 00:15:05 +0100
