=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Thorsten Glaser <tg@mirbsd.de>
 Uploaders: Henrique de Moraes Holschuh <hmh@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://evolvis.org/plugins/scmgit/cgi-bin/gitweb.cgi?p=alioth/rng-tools.git;a=shortlog;h=refs/heads/master
 Vcs-Git: https://evolvis.org/anonscm/git/alioth/rng-tools.git -b master
@@ -12,11 +12,12 @@
 Package: rng-tools-debian
 Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}, lsb-base,
- udev (>= 0.053) | makedev (>= 2.3.1-77)
+Depends: ${misc:Depends}, ${shlibs:Depends},
+ sysvinit-utils (>= 3.05-4~),
+ udev | makedev
 Provides: intel-rng-tools, rng-tools (= ${binary:Version})
 Replaces: intel-rng-tools, rng-tools
-Conflicts: intel-rng-tools
+Conflicts: intel-rng-tools, rng-tools5
 Breaks: rng-tools (<< 5migrate), rng-tools (>= 5migratf)
 Description: daemon to use a Hardware RNG (classic version)
  The rngd daemon acts as a bridge between a Hardware RNG (random
