=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,9 @@
 shellescape='$(subst ','\'',$(1))'
 shellexport=$(1)=$(call shellescape,${$(1)})
 
-DEB_HOST_ARCH?=$(shell dpkg-architecture -qDEB_HOST_ARCH)
+include /usr/share/dpkg/architecture.mk
+DPKG_EXPORT_BUILDTOOLS:=1
+include /usr/share/dpkg/buildtools.mk
 
 OUR_CPPFLAGS:=
 OUR_CFLAGS:=
@@ -26,20 +28,18 @@
 
 OUR_CFLAGS+=	-Wall
 
-# only needed when backporting to buster and older
-#OUR_LDFLAGS+=	-Wl,--as-needed
-
 dpkgbuildflagsmkescape=$(subst \,\\\,$(1))
-export DEB_BUILD_MAINT_OPTIONS:=hardening=+all
+export DEB_BUILD_MAINT_OPTIONS:=hardening=+all optimize=-lto
 export DEB_CPPFLAGS_MAINT_APPEND:=$(call dpkgbuildflagsmkescape,${OUR_CPPFLAGS})
 export DEB_CFLAGS_MAINT_APPEND:=$(call dpkgbuildflagsmkescape,${OUR_CFLAGS})
 export DEB_LDFLAGS_MAINT_APPEND:=$(call dpkgbuildflagsmkescape,${OUR_LDFLAGS})
 include /usr/share/dpkg/buildflags.mk
-include /usr/share/dpkg/buildtools.mk
 
-# detect i386 and force-enable VIA PadLock support
-ifeq (i386,$(strip ${DEB_HOST_ARCH}))
+# detect i386 (or amd64) and force-enable VIA PadLock support
+ifneq (,$(filter ${DEB_HOST_ARCH},i386 amd64))
 CONFIGURE_ARGS+=	--enable-viapadlock
+else
+CONFIGURE_ARGS+=	--disable-viapadlock
 endif
 
 %:
