## rng-tools-debian 2.6

=== debian/changelog ===
rng-tools-debian (2.6) unstable; urgency=low

  [ Sven Geuer ]
  * Rework d/rng-tools-debian.service and d/systemd-helper:
    - Switch service from Type=forking to Type=exec
    - Terminate the service cleanly in case it decides it cannot run
      (Closes: #1093002)
  * Rename systemd-helper to rngd-systemd-helper
    - Update d/rng-tools-debian.install and d/rng-tools-debian.service for
      referencing the renamed file
  * d/t/*: Adapt autopkgtests to the changes listed above
  * configure.ac: Bump version to 2.6

  [ Thorsten Glaser ]
  * Update autopkgtests restrictions
  * Tell lintian

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 17 Jan 2025 01:04:37 +0100

rng-tools-debian (2.5) unstable; urgency=low

  [ Sven Geuer ]
  * Add a system unit to the package (Closes: #1039350)
    - d/init-system-common: New file, gather functions from the sysv-init
      script also useful with a systemd unit
    - d/rng-tools-debian.init: Update the sysv-init script to use the
      common functions
    - d/systemd-helper: Add a helper script for starting rngd from
      a systemd unit
    - d/rng-tools-debian.service: Add the actual systemd unit
    - d/rng-tools-debian.install: Install the common functions and the
      systemd helper script
  * d/t/*: Add autopkgtest to verify the service starts and stops as expected
  * configure.ac: Bump the package's version to 2.5

  [ Thorsten Glaser ]
  * Put hwrng last in HRNGDEVICE autodetection and don’t start the dæmon
    if it’s found since Linux now polls them automatically; add appropriate
    NEWS.Debian entry and README sections for this
  * Update lintian overrides
  * Bump Policy

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 12 Jan 2025 01:39:39 +0100
