=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Thorsten Glaser <tg@mirbsd.de>
 Uploaders: Henrique de Moraes Holschuh <hmh@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://evolvis.org/plugins/scmgit/cgi-bin/gitweb.cgi?p=alioth/rng-tools.git;a=shortlog;h=refs/heads/master
 Vcs-Git: https://evolvis.org/anonscm/git/alioth/rng-tools.git -b master
