=== debian/tests/control ===
Tests: run-and-check-service-and-rngtest
Depends: @,
Restrictions: breaks-testbed, isolation-machine, needs-root,
 flaky, superficial, skippable
