## rng-tools-debian 2.6build1

=== debian/changelog ===
rng-tools-debian (2.6build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 29 Jan 2026 21:41:04 +0100
